=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.1.0+git20170127.54.6863684-1) unstable; urgency=medium

  * Initial release (Closes: #854642)

 -- Tim Potter <tpot@hpe.com>  Wed, 08 Feb 2017 21:15:45 +1100
