## golang-github-grpc-ecosystem-grpc-gateway 1.2.2

=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * New upstream release.
  * Update Standards-Version to 4.1.0
    + Change priority to optional
    + Use https in copyright format url
  * d/control:
    + Bump golang-google-grpc-dev to 1.6.0
    + Add Testsuite
  * exclude examples dir when building
  * Add upstream patch to fix failed test

  [ Martín Ferrari ]
  * Differentiate package descriptions.

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Sep 2017 03:50:30 +0000
