=== debian/control ===
Source: golang-github-grpc-ecosystem-grpc-gateway
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-dghubble-sling-dev,
               golang-github-rogpeppe-fastuuid-dev,
               golang-glog-dev,
               golang-golang-x-net-dev,
               golang-google-grpc-dev (>= 1.6.0),
               golang-goprotobuf-dev,
Standards-Version: 4.1.0
Homepage: https://github.com/grpc-ecosystem/grpc-gateway
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway
Testsuite: autopkgtest-pkg-go

Package: golang-github-grpc-ecosystem-grpc-gateway-dev
Architecture: all
Depends: golang-github-dghubble-sling-dev,
         golang-github-rogpeppe-fastuuid-dev,
         golang-glog-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev (>= 1.6.0),
         golang-goprotobuf-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: gRPC to JSON proxy generator for Golang -- sources
 Grpc-gateway is a protoc plugin that reads gRPC service definitions
 and generates a reverse-proxy server which translates a RESTful JSON
 API into gRPC. The server is generated according to custom options in
 your gRPC definition and helps you to provide your APIs in both gRPC
 and RESTful style at the same time.
 .
 This package contains the development files.

Package: golang-grpc-gateway
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: gRPC to JSON proxy generator for Golang -- binaries
 Grpc-gateway is a protoc plugin that reads gRPC service definitions
 and generates a reverse-proxy server which translates a RESTful JSON
 API into gRPC. The server is generated according to custom options in
 your gRPC definition and helps you to provide your APIs in both gRPC
 and RESTful style at the same time.
 .
 This package contains the generator binaries.
