=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.3.0-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * New upstream release.
  * Remove now unneeded patches.
  * Add myself to Uploaders.
  * Automated cme updates.
  * Stop using pristine-tar.
  * Rearrange the git layout to match team's policy.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 Jan 2018 20:45:54 +0000
