=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: golang-github-grpc-ecosystem-grpc-gateway
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Martín Ferrari <tincho@debian.org>,
+           Tim Potter <tpot@hpe.com>,
 Section: devel
+Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tim Potter <tpot@hpe.com>,
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
@@ -12,12 +14,11 @@
                golang-golang-x-net-dev,
                golang-google-grpc-dev (>= 1.6.0),
                golang-goprotobuf-dev,
-Standards-Version: 4.1.0
-Homepage: https://github.com/grpc-ecosystem/grpc-gateway
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
+Homepage: https://github.com/grpc-ecosystem/grpc-gateway
 XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway
-Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-grpc-ecosystem-grpc-gateway-dev
 Architecture: all
@@ -40,9 +41,9 @@
 
 Package: golang-grpc-gateway
 Architecture: any
-Built-Using: ${misc:Built-Using},
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
 Description: gRPC to JSON proxy generator for Golang -- binaries
  Grpc-gateway is a protoc plugin that reads gRPC service definitions
  and generates a reverse-proxy server which translates a RESTful JSON
