=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.6.4-2build2) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:12:15 +0000

golang-github-grpc-ecosystem-grpc-gateway (1.6.4-2build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 23:17:43 +0000

golang-github-grpc-ecosystem-grpc-gateway (1.6.4-2) unstable; urgency=medium

  * Team upload.
  * Set debian-branch to debian/sid in gbp.conf
  * Bump golang-google-genproto-dev to 0.0~git20190111~ (Closes: #919500)
  * Bump golang-goprotobuf-dev to 1.2.0

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Thu, 17 Jan 2019 12:03:44 +0700

golang-github-grpc-ecosystem-grpc-gateway (1.6.4-1) unstable; urgency=medium

  * Team upload.

  [ Martín Ferrari ]
  * debian/control: Add missing dependency on genproto.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dr. Tobias Quathamer ]
  * New upstream release 1.6.4 (Closes: #918618).
    - Add new dependency golang-github-ghodss-yaml-dev
  * Update d/watch
  * Use debhelper v11
  * Update team name
  * Update to Standards-Version 4.3.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 15 Jan 2019 21:13:00 +0100
