=== debian/control ===
--- 
+++ 
@@ -1,33 +1,38 @@
 Source: golang-github-grpc-ecosystem-grpc-gateway
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-dghubble-sling-dev,
+               golang-github-ghodss-yaml-dev,
                golang-github-rogpeppe-fastuuid-dev,
                golang-glog-dev,
                golang-golang-x-net-dev,
+               golang-google-genproto-dev (>= 0.0~git20190111~),
                golang-google-grpc-dev (>= 1.6.0),
-               golang-goprotobuf-dev,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
+               golang-goprotobuf-dev (>= 1.2.0),
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway.git
 Homepage: https://github.com/grpc-ecosystem/grpc-gateway
 XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway
 
 Package: golang-github-grpc-ecosystem-grpc-gateway-dev
 Architecture: all
 Depends: golang-github-dghubble-sling-dev,
+         golang-github-ghodss-yaml-dev,
          golang-github-rogpeppe-fastuuid-dev,
          golang-glog-dev,
          golang-golang-x-net-dev,
+         golang-google-genproto-dev (>= 0.0~git20190111~),
          golang-google-grpc-dev (>= 1.6.0),
-         golang-goprotobuf-dev,
+         golang-goprotobuf-dev (>= 1.2.0),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: gRPC to JSON proxy generator for Golang -- sources
