=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.16.0-4) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Add Rules-Requires-Root: no
    - Update debhelper-compat to v13
    - Replace transitional golang-goprotobuf-dev package
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Feb 2024 21:49:21 +0000

golang-github-grpc-ecosystem-grpc-gateway (1.16.0-3) unstable; urgency=medium

  * Team upload.
  * Avoid building protoc-gen-swagger, Closes: #1038870
  * revert: Add runtime/internal/examplepb to DH_GOLANG_EXCLUDES.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Jul 2023 07:19:40 -0400

golang-github-grpc-ecosystem-grpc-gateway (1.16.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Jun 2023 14:00:28 +0200

golang-github-grpc-ecosystem-grpc-gateway (1.16.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Thomas Goirand ]
  * New upstream release.
  * Add runtime/internal/examplepb to DH_GOLANG_EXCLUDES.
  * Fix (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2022 10:12:48 +0200
