=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: golang-github-grpc-ecosystem-grpc-gateway
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-dghubble-sling-dev,
@@ -14,13 +13,15 @@
                golang-github-rogpeppe-fastuuid-dev,
                golang-glog-dev,
                golang-golang-x-net-dev,
+               golang-golang-x-oauth2-dev,
                golang-google-genproto-dev (>= 0.0~git20190111~),
                golang-google-grpc-dev (>= 1.6.0),
-               golang-goprotobuf-dev (>= 1.2.0),
-Standards-Version: 4.3.0
+               golang-github-golang-protobuf-1-3-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway.git
 Homepage: https://github.com/grpc-ecosystem/grpc-gateway
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway
 
 Package: golang-github-grpc-ecosystem-grpc-gateway-dev
@@ -30,9 +31,10 @@
          golang-github-rogpeppe-fastuuid-dev,
          golang-glog-dev,
          golang-golang-x-net-dev,
+         golang-golang-x-oauth2-dev,
          golang-google-genproto-dev (>= 0.0~git20190111~),
          golang-google-grpc-dev (>= 1.6.0),
-         golang-goprotobuf-dev (>= 1.2.0),
+         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: gRPC to JSON proxy generator for Golang -- sources
