=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples protoc-gen-swagger

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
